org.gnome.gdk

## Class Screen

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gdk.Screen

-     public class Screen
      extends Object

  Representation of a physical monitor screen. You can get the Screen object for one of your application's Windows by calling Window's `getScreen()` method; it you want the width and height of the screen your Window is on, you're in the right place.

  A Screen is typically one monitor, but could actually be more; it depends on how your X server is configured. A Display, in turn, is made up of one or more Screens; again it depends.

  With the advent of the `XINERAMA` extension in the XFree and later X.org X Windows servers, you tend to find that what would have been multiple Screens have been (transparently) merged and stretched to run over an entire multi-headed Display. This works out better (single mouse and keyboard works over the entire desktop, as does cut and paste, dragging, etc) and since the window manager is aware of the situation, it can maximize Windows properly to be only on one physical screen as you'd expect and desire.

  As a result, the distinction between Screen and Display is nowadays somewhat blurred. In practise you can treat them synonymously especially since their methods don't overlap. Frankly, this is all another classic case of "don't second guess the window manager"; just let it do it's job and leave the Window placement alone.

  Since:
    4.0.4
  Author:
    Andrew Cowie
  See Also:
    `Display`, The `X`(7) man page on your system

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Get the vertical height of this Screen, in pixels.
    `int` | `getWidth()` Get the horizontal width of this Screen, in pixels.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getHeight

          public int getHeight()

      Get the vertical height of this Screen, in pixels.
      Since:
        4.0.4

    - #### getWidth

          public int getWidth()

      Get the horizontal width of this Screen, in pixels.
      Since:
        4.0.4